#ifndef	GUARD_FAKE_MPI
#define	GUARD_FAKE_MPI 1

#define MPI_INT 1
#define MPI_SUM 1
#define MPI_COMM_WORLD 1
#define MPI_DOUBLE 1
#define MPI_BYTE 1



typedef int MPI_Status ;

   inline static
   void MPI_Init(int *argc, char ***argv) {
     }

   inline static
   MPI_Allreduce(char *contrib, char *all, int a, int b, int c, int d) {
      *all = *contrib ;
     }

   inline static
   MPI_Gather(int *contrib, int a, int b, int *reply, int c, int d, int f, int g) {
      *reply = *contrib ;
     }

   inline static
   MPI_Gatherv( char *send, int a, int b, char *rec, int *rcounts, int *displs,
                  int c, int d, int f ) {
      *rec = *send ;
     }

#endif/* GUARD_FAKE_MPI 1	*/
