#ifndef	GUARD_FAKE_H
#define	GUARD_FAKE_H 1

typedef int pamr_Mesh ;

typedef struct pamr_bndy_buf{
 double  stuff ;
 int    global_id ;
} pamr_bndy_buf ;

typedef int bool ;

   inline static
   int pamr_my_pid(void) {
     return 0;
     }

   inline static
   int pamr_num_procs(void) {
     return 1;
     }

   inline static
   void pamr_finalize(bool active) {
     }

   inline static
   void pamr_init(int *argc , char ***argv, pamr_Mesh *m , int a) {
     }

   inline static
   void pamr_current_time() {
     }

   inline static
   void pamr_define_mesh_terms(pamr_Mesh *m , int a , int b , int c , int d) {
     }

   inline static
   void pamr_load_mesh_serial(pamr_Mesh *m , char *name) {
     }

   inline static
   void pamr_repartition(pamr_Mesh *m) {
     }

   inline static
   int pamr_node_partition_count(pamr_Mesh *m) {
     return 0;
     }

   inline static
   int pamr_get_node_neibpe_count(pamr_Mesh *m) {
     return 0;
     }

   inline static
   int pamr_get_neibpe_count(pamr_Mesh *m) {
     return 0;
     }

   inline static
   void pamr_get_partition_nodes(pamr_Mesh *m , int *num) {
     }

   inline static
   void pamr_get_neibpe_data(pamr_Mesh *m , int *num) {
     }

   inline static
   void pamr_get_node_neibpe_xportlst(pamr_Mesh *m , int *num) {
     }

   inline static
   void pamr_get_node_neibpe_data(pamr_Mesh *m , int *num) {
     }


   inline static
   void pamr_bndy_buf_init(pamr_bndy_buf *p , int a , int b , int c) {
     }

   inline static
   double *pamr_bndy_buf_data(const struct pamr_bndy_buf *p) {
     return (double *)p ;
     }

   inline static
   void pamr_move_neibpe_data( pamr_bndy_buf *send_buf, int send_nodes_size,
                              pamr_bndy_buf *recv_buf, int recv_nodes_size,
                              int a,
                              int *neibpe_ids, int b,
                              int *neibpe_xportlst, int nproc,
                              int c,
                              int *neibpe_data, int d ) {
     }

   inline static
   bool pamr_my_partition_node(pamr_Mesh *m , int index) {
     return 0;
     }

   inline static
   bool pamr_my_node_leader(pamr_Mesh *m , int index) {
     return 1;
     }

   inline static
   bool pamr_my_owned_node(pamr_Mesh *m , int node) {
     return 1;
     }
     
   inline static
   int pamr_my_node_indx(pamr_Mesh *m , int n) {
     return n ;
     }

   inline static
   int pamr_my_node_gid(pamr_Mesh *m , int n) {
     return n ;
     }

   inline static
   bool pamr_my_node(pamr_Mesh *m , int node) {
     return 1;
     }

   inline static
   int pamr_my_element_indx(pamr_Mesh *m , int n) {
     return n ;
     }

   inline static
   bool pamr_my_element(pamr_Mesh *m , int n) {
     return 1;
     }

   inline static
   int pamr_local_element_count(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_local_node_count(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_element_face_side_indx(pamr_Mesh *m , int face , int *inquire) {
     return 1 ;
     }

   inline static
   int pamr_element_node_indx(pamr_Mesh *m , int element , int node) {
     return 1 ;
     }

   inline static
   int pamr_face_indx(pamr_Mesh *m , int element , int side) {
     return 1 ;
     }

   inline static
   int pamr_get_mesh_element_terms(pamr_Mesh *m , int element , real *info) {
     return 1 ;
     }

   inline static
   int pamr_get_mesh_face_terms(pamr_Mesh *m , int face , real *data) {
     return 1 ;
     }

   inline static
   int pamr_get_mesh_node_terms(pamr_Mesh *m , int node , real *info) {
     return 1 ;
     }

   inline static
   int pamr_local_face_count(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_logical_amr(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_mark_refinement(pamr_Mesh *m1 , pamr_Mesh *m2 , int *list) {
     return 1 ;
     }

   inline static
   int pamr_mesh_coordinates(pamr_Mesh *m , real *coords) {
     return 1 ;
     }

   inline static
   int pamr_my_face_gid(pamr_Mesh *m , int face) {
     return 1 ;
     }

   inline static
   int pamr_my_face_leader(pamr_Mesh *m , int id) {
     return 1 ;
     }

   inline static
   int pamr_physical_amr(pamr_Mesh *m1 , pamr_Mesh *m2) {
     return 1 ;
     }

   inline static
   int pamr_set_mesh_element_terms(pamr_Mesh *m , int element , real *data) {
     return 1 ;
     }

   inline static
   int pamr_set_mesh_face_terms(pamr_Mesh *m , int face , real *data) {
     return 1 ;
     }

   inline static
   int pamr_set_mesh_node_terms(pamr_Mesh *m , int node , real *data) {
     return 1 ;
     }

   inline static
   int pamr_total_element_count(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_total_node_count(pamr_Mesh *m) {
     return 1 ;
     }

   inline static
   int pamr_bndy_buf_destroy(pamr_bndy_buf *buf) {
     return 1 ;
     }

   inline static
   void pamr_move_neibpe_data_r( pamr_bndy_buf *send_buf, int send_nodes_size,
                              pamr_bndy_buf *recv_buf, int recv_nodes_size,
                              int a,
                              int *neibpe_ids, int b,
                              int *neibpe_xportlst, int nproc,
                              int c,
                              int *neibpe_data, int d , int e ) {
     }




#endif/* GUARD_FAKE_H 1	*/
